<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:name=".MyApp"
        android:allowBackup="true"
        android:icon="@mipmap/icon"
        android:label="@string/y_app_name"
        android:roundIcon="@mipmap/icon"
        android:supportsRtl="true"
        android:theme="@style/MyKeyBoard"
        android:networkSecurityConfig="@xml/net"
        tools:targetApi="31">
        <activity
            android:name=".activity.ActivityAll"
            android:exported="false"
            android:screenOrientation="portrait"/>
        <activity
            android:name=".activity.ActivitySplash"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.ActivityDownload"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.ActivityPreView"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activity.ActivityMain"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <service
            android:name=".alldata.MethodService"
            android:exported="true"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>

            <meta-data
                android:name="android.view.im"
                android:resource="@xml/keyborad_xml" />
        </service>
    </application>

</manifest>